Last Comment Bug 655065 - Add a -moz-orient CSS property
: Add a -moz-orient CSS property
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on:
Blocks: 638540
  Show dependency treegraph
 
Reported: 2011-05-05 10:13 PDT by Mounir Lamouri (:mounir)
Modified: 2011-05-31 11:45 PDT (History)
7 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (13.24 KB, patch)
2011-05-05 10:13 PDT, Mounir Lamouri (:mounir)
bzbarsky: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-05-05 10:13:38 PDT
Created attachment 530359 [details] [diff] [review]
Patch v1

It's needed by bug 638540 and very similar to -moz-box-orient.
Comment 1 Mounir Lamouri (:mounir) 2011-05-05 10:15:14 PDT
If one of you think he can handle the review in a few days, could he cancel the other review requests?
Comment 2 Boris Zbarsky [:bz] 2011-05-05 10:17:01 PDT
Comment on attachment 530359 [details] [diff] [review]
Patch v1

r=me
Comment 3 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2011-05-05 10:29:33 PDT
Why do we want a new CSS property for this?
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-05 14:54:32 PDT
If it's only for the progress element, I think -moz-orient is too generic a name. How about -moz-progress-orient? Or how about just reusing -moz-box-orient? Does Webkit have a version of this, and what did they call it?
Comment 5 Mounir Lamouri (:mounir) 2011-05-06 02:18:15 PDT
(In reply to comment #3)
> Why do we want a new CSS property for this?

That was the conclusion of the discussion in the CSS WG mailing list: we (you, Boris and I) had decided to use an HTML attribute and someone pointed that using a CSS property might be better (see the discussion for more details).

(In reply to comment #4)
> If it's only for the progress element, I think -moz-orient is too generic a
> name. How about -moz-progress-orient? Or how about just reusing
> -moz-box-orient? Does Webkit have a version of this, and what did they call
> it?

This is going to be used for <input type='range'> and <meter>. Webkit doesn't have such a property.
IMO, it would be better to make -moz-box-orient merged into -moz-orient instead of the opposite. Though, both are prefixed so we can see that later, can't we?
Comment 6 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-06 04:16:45 PDT
That www-style thread didn't really have a conclusion, but I can see that it drifted towards having explicit orientation control using a property.

Is there a reason to not just reuse box-orient here?
Comment 7 Mounir Lamouri (:mounir) 2011-05-06 06:03:04 PDT
(In reply to comment #6)
> Is there a reason to not just reuse box-orient here?

If you guys believe we should just use box-orient, I will follow you.
Boris and David, what's your opinion?
Comment 8 Boris Zbarsky [:bz] 2011-05-06 06:51:15 PDT
That seems fine to me.
Comment 9 Mounir Lamouri (:mounir) 2011-05-06 08:51:59 PDT
To me, box-orient seems a misleading name given that box-* properties are used for the box model and here, it's not really related to it AFAICT. In addition, box-orient accept four values and two of them would have no meaning for the form widgets. And, in the future, we might want to add new values to -moz-orient (like vertical but beginning from the top), which might not work with box-orient.
Comment 10 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-06 14:37:23 PDT
Those are good points.

I think I'll leave it up to David to decide what to do here :-).
Comment 11 Mounir Lamouri (:mounir) 2011-05-17 06:25:45 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/a756a95aaa31

David, if you think we should remove this property and use -moz-box-orient instead, let me know and I will back out this patch.
Comment 12 Eric Shepherd [:sheppy] 2011-05-31 11:45:52 PDT
Documented:

https://developer.mozilla.org/en/CSS/orient

And mentioned on Firefox 6 for developers.

Note You need to log in before you can comment on or make changes to this bug.